Bug 118015 - (SIS IRQ)boot up pauses at eth0 for ~ 1minute
(SIS IRQ)boot up pauses at eth0 for ~ 1minute
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-10 21:36 EST by Stan Fisher
Modified: 2013-07-02 22:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:42:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stan Fisher 2004-03-10 21:36:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0) Opera 
7.11  [en]

Description of problem:
Bringing up interface eth0
boot up pauses at eth0 then reports:
Determining IP information for eth0
SIOCSIFFLAGS: Device or Resources Busy.....[Failed]
In spite of all attempts to get out to the internet using the net 
configuration tools, I am unable to do so. Using a high speed cable
access, through a linksys router. The Hardware detect utility 
correctly detects and identifies the Nic as a SiS900.
I added the pci=bios,biosirq to the 'kernel' line in grub.conf as was 
suggested in one of the old bug reports but no change in the network 
card function

Version-Release number of selected component (if applicable):
kernel /vmlinuz-2.4.22-1ntpl1

How reproducible:
Always

Steps to Reproduce:
1.boot-up
2.cannot connect to internet through any utility, browser, mail or 
FTP.
3.
    

Additional info:

Seems like this is a "SIOCSIFFLAGS busy" problem...what is 
SIOCSIFFLAGS, and why is it busy?
Comment 1 Bill Nottingham 2004-03-11 11:25:40 EST
This looks like a driver problem.
Comment 2 Stan Fisher 2004-03-11 13:25:14 EST
I have looked into some old posts and some "SIOCSIFFLAGS busy" posts. 
It seems to occur with double OS systems that have Win2K or XP as the 
other (and first OS). It looks to me that the Bios assigns the SiS900 
NIC to IRQ 19 and there does not seem to be that choice in Fedora. 
When Plug &Play is turned off in the Bios the SiS900 card is 
recognized and becomes "Active". So now I can ping my router (192.
169.1.1) but I cannot get past the router to the DHCP server. 
I hope that this is some help. 
Stan Fisher
Comment 3 Dave Jones 2005-04-16 00:42:48 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.